Skip to main content
GET
Download an evidence file by ID

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

disputeId
string<uuid>
required

Identifier of the resource in Payrails.

evidenceId
string<uuid>
required

Identifier of the resource in Payrails.

Response

Evidence found, and all details are included.

id
string<uuid>
required

Unique identifier of the Dispute in Payrails.

createdAt
string<date-time>
required

Date and time when the Dispute was created in Payrails.

updatedAt
string<date-time>
required

Date and time when the Dispute was last updated in Payrails.

displayTitle
string

Display title of the evidence, usually the file name.

status
enum<string>

Status of the dispute evidence.

Available options:
Active,
Inactive,
Unknown
provenance
enum<string>

Provenance of the dispute evidence.

Available options:
Merchant,
Payrails,
Unknown
contentType
string

MIME type of the evidence content.

contentLength
integer

Size of the evidence content in bytes.

payload
object

Inline JSON payload for inline-context evidences. Present only for evidences created from inlineContexts; omitted for file-backed evidence.

documentId
string<uuid>

Evidence library document this evidence is a version of. Present only for evidence library versions.

version
integer<int64>

Version number within the evidence library document. Present only for evidence library versions.

validFrom
string<date-time>

When this evidence library version starts to apply. Present only for evidence library versions.

changeNote
string

What changed in this evidence library version. Present only for evidence library versions that have a change note.

workspaceId
string<uuid>

Workspace ID that the Dispute belongs to.

labels
string[]

Labels assigned to this evidence for the dispute, used to categorise the document during representment.